Page MenuHomePhabricator

Services Team Goals 2016/2017 Q2: October - December
Closed, ResolvedPublic

Description

Strengthen: Reliably process events with EventBus & ChangeProp infrastructure

Support at least three additional services. Possible candidates:

  • Trending articles (Reading)
  • Push notifications (Reading)
  • Problematic edits (Collaboration)
  • Search updates (Discovery)

Focus: Provide infrastructure for ServiceWorker web frontend with support for offline, poor connectivity & caching of authenticated requests

Related Objects

StatusAssignedTask
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
ResolvedNone
Resolved GWicke
Resolved GWicke
ResolvedNone
Resolved GWicke
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
OpenNone
ResolvedPchelolo
ResolvedArlolra
Resolvedmobrovac
Resolvedbd808
Resolved GWicke
OpenNone
ResolvedPchelolo
Resolvedmobrovac
ResolvedNone
ResolvedPchelolo
Resolved GWicke
Resolved GWicke
Resolved GWicke
ResolvedPchelolo
OpenNone
ResolvedArlolra
ResolvedPchelolo
Resolvedmobrovac

Event Timeline

mobrovac created this task.Sep 6 2016, 2:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2016, 2:19 PM
mobrovac triaged this task as Normal priority.
mobrovac moved this task from Backlog to Next on the Services board.
mobrovac updated the task description. (Show Details)Oct 4 2016, 1:50 PM
mobrovac moved this task from Next to In-progress on the Services board.Oct 7 2016, 9:02 AM
GWicke closed this task as Resolved.Jan 25 2017, 12:41 AM
GWicke claimed this task.